#include <syscall.h>

#define __KERNEL__ 
#include <sys/shm.h>

static inline
_syscall5(int,ipc,int,call,int,first,int,second,int,third,void *,ptr)

int
shmget (key_t key, int size, int shmflg)
{
    return ipc (SHMGET, key, size, shmflg, NULL);
}
